/*************************************************
Author :		Faris
Email:			are_well@126.com
Date :			2016-9-13
Description :	hmac_sha1±àÂë
Others:
**************************************************/

#include <stdlib.h>
#include <stdio.h>

#define MAX_MESSAGE_LENGTH 4096*10

void hmac_sha1(
	unsigned char *key, 
	int key_length,
	unsigned char *data, 
	int data_length, 
	unsigned char *digest);

void sha1(
	unsigned char *message,
	int message_length,
	unsigned char *digest);

unsigned long int ft(
	int t,
	unsigned long int x,
	unsigned long int y,
	unsigned long int z
	);

unsigned long int rotl(int bits, unsigned long int a);
unsigned long int k(int t);